Bug 1183715 (CVE-2014-6587) - CVE-2014-6587 OpenJDK: MulticastSocket NULL pointer dereference (Libraries, 8056264)
Summary: CVE-2014-6587 OpenJDK: MulticastSocket NULL pointer dereference (Libraries, 8...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-6587
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1179762
TreeView+ depends on / blocked
 
Reported: 2015-01-19 14:48 UTC by Tomas Hoger
Modified: 2019-09-29 13:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the MulticastSocket implementation in the Libraries component of OpenJDK. An untrusted Java application or applet could possibly use this flaw to bypass certain Java sandbox restrictions.
Clone Of:
Environment:
Last Closed: 2015-02-24 14:30:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0067 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2015-01-22 02:45:27 UTC
Red Hat Product Errata RHSA-2015:0068 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2015-01-21 03:38:26 UTC
Red Hat Product Errata RHSA-2015:0069 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-01-22 02:38:44 UTC
Red Hat Product Errata RHSA-2015:0079 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:35:56 UTC
Red Hat Product Errata RHSA-2015:0080 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:34:38 UTC
Red Hat Product Errata RHSA-2015:0085 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2015-01-26 23:10:42 UTC
Red Hat Product Errata RHSA-2015:0086 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 15:35:12 UTC
Red Hat Product Errata RHSA-2015:0133 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2015-02-06 00:35:28 UTC
Red Hat Product Errata RHSA-2015:0134 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2015-02-06 00:34:56 UTC
Red Hat Product Errata RHSA-2015:0135 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2015-02-06 00:34:28 UTC
Red Hat Product Errata RHSA-2015:0263 normal SHIPPED_LIVE Low: Red Hat Satellite IBM Java Runtime security update 2015-02-24 18:20:04 UTC
Red Hat Product Errata RHSA-2015:0264 normal SHIPPED_LIVE Low: Red Hat Satellite IBM Java Runtime security update 2015-02-24 18:44:15 UTC

Description Tomas Hoger 2015-01-19 14:48:20 UTC
A NULL pointer deference flaw was found in the MulticastSocket implementation in the Libraries component of OpenJDK.  A NULL network interface name could trigger a NULL pointer dereference in the OpenJDK native networking code.  An untrusted Java application or applet could possibly use this flaw to bypass certain Java sandbox restrictions.

Comment 1 Tomas Hoger 2015-01-20 22:12:00 UTC
Public now via Oracle Critical Patch Update - January 2015.  Fixed in Oracle Java SE 6u91, 7u75, and 8u31.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-01-20 22:39:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:0068 https://rhn.redhat.com/errata/RHSA-2015-0068.html

Comment 3 errata-xmlrpc 2015-01-21 22:45:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0069 https://rhn.redhat.com/errata/RHSA-2015-0069.html

Comment 4 errata-xmlrpc 2015-01-21 22:59:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0067 https://rhn.redhat.com/errata/RHSA-2015-0067.html

Comment 6 errata-xmlrpc 2015-01-22 21:25:11 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0080 https://rhn.redhat.com/errata/RHSA-2015-0080.html

Comment 7 errata-xmlrpc 2015-01-22 21:35:38 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:0079 https://rhn.redhat.com/errata/RHSA-2015-0079.html

Comment 9 errata-xmlrpc 2015-01-26 17:28:49 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2015:0086 https://rhn.redhat.com/errata/RHSA-2015-0086.html

Comment 10 errata-xmlrpc 2015-01-26 18:13:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0085 https://rhn.redhat.com/errata/RHSA-2015-0085.html

Comment 12 errata-xmlrpc 2015-02-05 19:36:14 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:0135 https://rhn.redhat.com/errata/RHSA-2015-0135.html

Comment 13 errata-xmlrpc 2015-02-05 19:37:01 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:0134 https://rhn.redhat.com/errata/RHSA-2015-0134.html

Comment 14 errata-xmlrpc 2015-02-05 19:37:51 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:0133 https://rhn.redhat.com/errata/RHSA-2015-0133.html

Comment 15 errata-xmlrpc 2015-02-24 13:21:04 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.7

Via RHSA-2015:0263 https://rhn.redhat.com/errata/RHSA-2015-0263.html

Comment 16 errata-xmlrpc 2015-02-24 13:46:14 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.6

Via RHSA-2015:0264 https://rhn.redhat.com/errata/RHSA-2015-0264.html


Note You need to log in before you can comment on or make changes to this bug.